Subject: Error running guix pull

From: Kjartan Óli Ágústsson <[email-masked]>
Date: Tue, 17 Dec 2024 13:17:55 +0000

I have successfully run guix on a foreign distro on my Raspberry Pi 4
for some time now but yesterday when I ran guix pull I got the following
error:

substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'... 100.0%
building /gnu/store/65hn0p6ia7dw40paqwckrn1ya7wc6ydc-doxygen-1.9.8.drv...
/ 'unpack' phaseuild-log 3425980 53
doxygen-1.9.8/testing/069_link_variadic_template.cpp
 15% ▕██████████████████████████████████████████████▊                                                                                                                                                                                                                                                                         ▏log 3425980 2
 [@ build-log 3425980 12
-Wdeprecated@ build-log 3425980 1
]@ build-log 3425980 1

 15% ▕██████████████████████████████████████████████▊                                                                                                                                                                                                                                                                         ▏log 3425980 2
 [@ build-log 3425980 12
-Wdeprecated@ build-log 3425980 1
]@ build-log 3425980 1

 83% ▕██████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████▉                                                     -Backtrace:
          14 (primitive-load "/gnu/store/cqc5vv4d7bqgi6rbdkiafpq48f47m641-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 13 (_ _)
    159:9 12 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 11 (with-fluid* _ _ _)
    152:2 10 (with-fluid* _ _ _)
In guix/store.scm:
  2210:24  9 (run-with-store #<store-connection 256.100 7f7bb62f00> #<procedure 7f71b16fa0 at guix/self.scm:1365:2 ?> ?)
   2038:8  8 (_ #<store-connection 256.100 7f7bb62f00>)
In guix/gexp.scm:
   300:22  7 (_ #<store-connection 256.100 7f7bb62f00>)
   1218:2  6 (_ #<store-connection 256.100 7f7bb62f00>)
   1085:2  5 (_ #<store-connection 256.100 7f7bb62f00>)
    926:4  4 (_ #<store-connection 256.100 7f7bb62f00>)
In guix/store.scm:
  2095:12  3 (_ #<store-connection 256.100 7f7bb62f00>)
   1433:5  2 (map/accumulate-builds #<store-connection 256.100 7f7bb62f00> #<procedure 7f65e5bd00 at guix/store.scm?> ?)
  1449:15  1 (_ #<store-connection 256.100 7f7bb62f00> ("/gnu/store/3qhz0l64d5l5vwakfsclsq3b95dgrn7r-guix-daemon?" ?) ?)
  1449:15  0 (loop #f)

guix/store.scm:1449:15: In procedure loop:
ERROR:
  1. &store-protocol-error:
      message: "build of `/gnu/store/sbp1pj9zn4flqrl7z8q4f0sqx75lc04s-graphviz-minimal-7.0.1.drv' failed"
      status: 101                                                                                                                                                                                                                                                                                                             \guix pull: error: You found a bug: the program '/gnu/store/cqc5vv4d7bqgi6rbdkiafpq48f47m641-compute-guix-derivation'
failed to compute the derivation for Guix (version: "6774c9e75a835e91e9b0e415c749e48e4f724e24"; system: "aarch64-linux";
host version: "0787a180b3ca64d3958438920ca1b58a2a27fba4"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.

--
Kjartan Oli Agustsson
GPG Key fingerprint: 4801 0D71 49C0 1DD6 E5FD  6AC9 D757 2FE3 605E E6B0